Bug 579445 - (CVE-2010-1148) CVE-2010-1148 kernel: cifs: skip posix open if nameidata is null
CVE-2010-1148 kernel: cifs: skip posix open if nameidata is null
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20100405,pub...
: Security
Depends On: 579446 579447
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-05 04:42 EDT by Eugene Teo (Security Response)
Modified: 2015-07-29 09:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 20:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-04-05 04:42:17 EDT
Description of problem:
From me, while creating a file on a server which supports unix extensions such as Samba, if a file is being created which does not supply nameidata (i.e. nd is null), cifs client can oops when calling cifs_posix_open.

http://comments.gmane.org/gmane.linux.file-systems.cifs/5782
Comment 2 Eugene Teo (Security Response) 2010-04-09 03:18:50 EDT
[linux-cifs-client[[patch] Attempt #2 to handle null nameidata
http://old.nabble.com/-linux-cifs-client--patch--Attempt--2-to-handle-null-nameidata-td28167381.html
Comment 3 Eugene Teo (Security Response) 2010-04-27 20:37:58 EDT
Not vulnerable. This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 3, 4, 5 and Red Hat Enterprise MRG as they did not include support for posix opens on lookup.
Comment 5 Eugene Teo (Security Response) 2010-06-07 02:12:37 EDT
Upstream commit:
http://git.kernel.org/linus/fa588e0c57048b3d4bfcd772d80dc0615f83fd35

Note You need to log in before you can comment on or make changes to this bug.